<?php
include "checklog.php";
$ordid = $HTTP_GET_VARS["ordid"];
if ($ordid == "") {
	$ordcode = addslashes($HTTP_GET_VARS["ordcode"]);
	$sql = "SELECT ID FROM ordini WHERE codice='$ordcode'";
	$result = mysql_query($sql);
	if ($row = mysql_fetch_array($result)) {
		$ordid = $row["ID"];
	}
}
if ($ordid != "") {
	$sql = "UPDATE ordini SET visto = 1 WHERE ordini.ID='$ordid'";
	$result = mysql_query($sql);
}
$sql = "SELECT ordini.* , DATE_FORMAT(data, '%d/%m/%Y %H.%i') AS data2, clienti.user FROM ordini LEFT JOIN clienti ON ordini.cliente = clienti.cust_id WHERE ordini.ID='$ordid'";
$result = mysql_query($sql);
$statusopt = array("","","","","");
if ($row = mysql_fetch_array($result)) {
	$ordcode = $row["codice"];
	$codice = htmlentities($row["codice"]);
	$nome = htmlentities($row["nome"]);
	$ragione_sociale = htmlentities($row["ragione_sociale"]);
	$indirizzo = htmlentities($row["indirizzo"]);
	$cap = htmlentities($row["cap"]);
	$localita = htmlentities($row["localita"]);
	$sp_denominazione = htmlentities($row["sp_denominazione"]);
	$sp_indirizzo = htmlentities($row["sp_indirizzo"]);
	$sp_cap = htmlentities($row["sp_cap"]);
	$sp_localita = htmlentities($row["sp_localita"]);
	$stato = htmlentities($row["stato"]);
	$email = $row["email"];
	$telefono = htmlentities($row["telefono"]);
	$note = nl2br(htmlentities($row["note"]));
	$metodo1 = htmlentities($row["metodo1"]);
	$partita_iva = htmlentities($row["partita_iva"]);
	$edisplay = nl2br(htmlentities($row["edisplay"]));
	$data = htmlentities($row["data2"]);
	$clid = $row["cliente"];
	$user = htmlentities($row["user"]);
	$listino = $row["listino"] + 1;
	$status = $row["status"];
	$totale_netto = htmlentities(number_format($row["totale_netto"],2,",","."));
	$sconto = htmlentities(number_format($row["sconto"],2,",","."));
	$spese_spedizione = htmlentities(number_format($row["spese_spedizione"],2,",","."));
	$iva_totale = htmlentities(number_format($row["iva_totale"] + $row["iva_spedizione"],2,",","."));
	$totale_lordo = htmlentities(number_format($row["totale_lordo"],2,",","."));
	$ivacompresa = $row["ivacompresa"];
	$track = $row["track"];
	$statusopt[$status] = " selected ";
	$button_rifiuta = "<input type=\"button\" name=\"rifiuta\" value=\"Rifiuta ordine\" class=\"pulsante\" onClick=\"RifiutaOrd();\">";
	$statuslist = "<select name=\"status\" class=\"pulsante\">\n";
	for ($n=0; $n<sizeof($statusexpl) - 1; $n++) {
		if ($n != 4) {
			$statuslist .= "<option $statusopt[$n] value=\"$n\">$statusexpl[$n]</option>\n";
		}
	}
	$statuslist .= "</select>";
	if ($status == 4) {
		$statuslist = "$statusexpl[$status]\n<input type=\"hidden\" name=\"status\" value=\"$status\">";
		$button_rifiuta = "";
	}

?>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<base target="_self">
<link rel="stylesheet" href="backoffice.css" type="text/css">
<script language="JavaScript">
<!--
function RifiutaOrd() {
	sMsg = "ATTENZIONE: L'operazione, se confermata, è irreversibile.\n\n";
	sMsg = sMsg + "Se si rifiuta un ordine, infatti, gli articoli ordinati torneranno ad\n";
	sMsg = sMsg + "essere disponibili e non sarà più possibile modificare lo stato dell'ordine.\n\n";
	sMsg = sMsg + "Si desidera rifiutare l'ordine?";
	if (confirm(sMsg)) {
		document.view.action.value = "rifiuta";
		document.view.submit();
	}
}
function EliminaOrd() {
	sMsg = "ATTENZIONE: L'operazione, se confermata, è irreversibile.\n\n";
	sMsg = sMsg + "Si desidera eliminare l'ordine?";
	if (confirm(sMsg)) {
		return true;
	} else {
		return false;
	}
}
//-->
</script>
</head>

<body topmargin="0" leftmargin="4" marginwidth="4" marginheight="0" class="pagina">
<span class="titolo">Gestione Ordini</span><span class="sottotitolo"> - Dettaglio 
ordine 
<?=$codice?> (<?=$data?>)
</span> 
<form name="view" method="GET" action="boordupdate.php">
  <input type="hidden" name="ordid" value="<?=$ordid?>">
  <input type="hidden" name="ordcode" value="<?=$ordcode?>">
  <input type="hidden" name="action" value="">
  <table width="100%" border="0" cellspacing="1" cellpadding="2">
    <tr> 
      <td class="intestazione">Codice</td>
      <td class="intestazione" nowrap width="50%">Descrizione</td>
      <td class="intestazione" nowrap width="50%">Varianti</td>
      <td class="intestazione" nowrap>Prezzo unitario</td>
      <td class="intestazione" nowrap align="center">Quantit&agrave;</td>
      <td class="intestazione" nowrap align="right">Prezzo totale</td>
    </tr>
    <?php
	$sql = "SELECT * FROM ordini_dettagli WHERE ID_ordine=$ordcode";
	$result = mysql_query($sql);
	while ($row = mysql_fetch_array($result)) {

		$codiceart = htmlentities($row["codice_articolo"]);
		$descrizione = htmlentities($row["descrizione"]);
		$variante1 = htmlentities($row["variante1"]);
		$variante2 = htmlentities($row["variante2"]);
		$variante3 = htmlentities($row["variante3"]);
		$variante4 = htmlentities($row["variante4"]);
		$prezzo = htmlentities(number_format($row["prezzo"],2,",","."));
		$quantita = htmlentities($row["quantita"]);
	$totaleart = htmlentities(number_format($row["totale"],2,",","."));
		
		$varianti = "";
		if ($variante1) { $varianti .= "<BR>" . $variante1; }
		if ($variante2) { $varianti .= "<BR>" . $variante2; }
		if ($variante3) { $varianti .= "<BR>" . $variante3; }
		if ($variante4) { $varianti .= "<BR>" . $variante4; }
		$varianti = ereg_replace("^<BR>", "", $varianti);
	
		if ($rowclass == "row1") {
			$rowclass = "row2";
		} else {
			$rowclass = "row1";
		}
?>
    <tr> 
      <td class="<?=$rowclass?>" align="center"> 
        <?=$codiceart?>
      </td>
      <td class="<?=$rowclass?>"> 
        <?=$descrizione?>
      </td>
      <td class="<?=$rowclass?>" nowrap> 
        <?=$varianti?>
      </td>
      <td class="<?=$rowclass?>" nowrap align="right"> 
        <?=$prezzo?>
      </td>
      <td class="<?=$rowclass?>" align="center"> 
        <?=$quantita?>
      </td>
      <td class="<?=$rowclass?>" align="right"> 
        <?=$totaleart?>
      </td>
    </tr>
    <?php
	}
	if ($sconto != 0) {
?>
    <tr> 
      <td class="totali" align="right" colspan="5">Sconto</td>
      <td class="row2" align="right"> 
        - <?=$sconto?>
      </td>
    </tr>
    <?php
	}
?>
    <tr> 
      <td class="totali" align="right" colspan="6"> 
        <hr noshade size="1">
      </td>
    </tr>
    <tr> 
      <td class="intestazione" align="right" colspan="5">Totale netto</td>
      <td class="row1" align="right"> <b> 
        <?=$totale_netto?>
        </b> </td>
    </tr>
    <tr> 
      <td class="totali" align="right" colspan="5">Spese di spedizione</td>
      <td class="row2" align="right"> 
        <?=$spese_spedizione?>
      </td>
    </tr>
    <?php
	if (!$ivacompresa) {
?>
    <tr> 
      <td class="totali" align="right" colspan="5">IVA</td>
      <td class="row2" align="right"> 
        <?=$iva_totale?>
      </td>
    </tr>
    <?php
	}
?>
    <tr> 
      <td class="totali" align="right" colspan="6"> 
        <hr noshade size="1">
      </td>
    </tr>
    <tr> 
      <td class="intestazione" align="right" colspan="5"><b>TOTALE</b></td>
      <td class="row1" align="right"> <b> 
        <?=$totale_lordo?>
        </b> </td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <table width="100%" border="1" cellspacing="0" cellpadding="10" bordercolor="#C9CBDC">
    <tr>
      <td valign="top" width="50%"> 
        <p><span class="sottotitolo">Dettaglio cliente</span></p>
        <table border="0" class="form" width="100%">
          <tr> 
            <td class="row1" valign="top" nowrap>Nome utente: </td>
            <td width="100%"> <a href="bocledit.php?clid=<?php echo  $clid; ?>"> 
              <b><?php echo  $user; ?></b>
              </a> </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Nome e cognome: </td>
            <td> 
              <?php echo  $nome; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Ragione sociale: </td>
            <td> 
              <?php echo  $ragione_sociale; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>P.iva / CF: </td>
            <td> 
              <?php echo  $partita_iva; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Indirizzo: </td>
            <td> 
              <?php echo  $indirizzo; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>C.A.P: </td>
            <td> 
              <?php echo  $cap; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Localit&agrave; (prov): </td>
            <td> 
              <?php echo  $localita; ?>
            </td>
          </tr>
          <tr> 
            <td colspan="2"> 
              <hr>
            </td>
          </tr>
          <tr> 
            <td colspan="2"> 
              <p><b>Indirizzo spedizione (se differente):</b></p>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Denominazione: </td>
            <td> 
              <?php echo  $sp_denominazione; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Indirizzo: </td>
            <td> 
              <?php echo  $sp_indirizzo; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>C.A.P.: </td>
            <td> 
              <?php echo  $sp_cap; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap> Localit&agrave; (prov): </td>
            <td> 
              <?php echo  $sp_localita; ?>
            </td>
          </tr>
          <tr> 
            <td colspan="2"> 
              <hr>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Stato: </td>
            <td> 
              <?php echo  $stato; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>E-mail: </td>
            <td> 
              <?php echo  $email; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Telefono: </td>
            <td> 
              <?php echo  $telefono; ?>
            </td>
          </tr>
          <tr> 
            <td colspan="2"> 
              <hr>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Pagamento e spedizione: </td>
            <td> 
              <?php echo  $metodo1; ?>
            </td>
          </tr>
          <?php 
	if ($edisplay != "") {
?>
          <tr> 
            <td class="row1" valign="top" nowrap>Informazioni ulteriori:</td>
            <td> 
              <?php echo  $edisplay; ?>
            </td>
          </tr>
          <?php
	}
?>
          <tr> 
            <td class="row1" valign="top" nowrap>Note: </td>
            <td> 
              <?php echo  $note; ?>
            </td>
          </tr>
        </table>
        
      </td>
      <td valign="top" width="50%"> 
        <p><span class="sottotitolo">Stato dell'ordine</span></p>
        <table border="0" class="form" width="100%">
          <tr> 
            <td class="row1" valign="top">Listino: </td>
            <td width="100%" colspan="2"> 
              <?php echo  $listino; ?>
            </td>
          </tr>
          <tr> 
            <td class="row1" valign="top" nowrap>Stato dell'ordine:</td>
            <td> 
              <?php echo  $statuslist; ?>
            </td>
            <td>
              <?php echo  $button_rifiuta; ?>
            </td>
          </tr>
          <tr> 
            <td valign="top" class="row1" nowrap>Avanzamento dell'ordine: </td>
            <td colspan="2"> 
              <textarea name="track" class="pulsante" rows="5" cols="30" ><?php echo $track; ?></textarea>
            </td>
          </tr>
          <tr> 
            <td> 
              <div align="center"> </div>
            </td>
            <td> 
              <input type="submit" name="Submit" value="Salva" class="pulsante">
            </td>
            <td width="75%">&nbsp; </td>
          </tr>
        </table>
        <p>&nbsp;</p>
      </td>
    </tr>
  </table>
  </form>
<form name="delete" class="form" action="boorddelete.php" method="POST" onSubmit="return EliminaOrd();">
  <input type="hidden" name="ordid" value="<?php echo $ordid; ?>">
  <input type="submit" name="Submit" value="Elimina ordine" class="pulsanteRosso">
  <?php
	if ($status != 4) {
?>
  <p class="form">Modalit&agrave; cancellazione:<br>
    <input type="radio" name="eliminaordini" value="1" checked>
    Non aggiornare la disponibilit&agrave; degli articoli (non rifiutare l'ordine)<br>
    <input type="radio" name="eliminaordini" value="2">
    Aggiorna la disponibilit&agrave; degli articoli (rifiuta l'ordine prima di 
    cancellarlo) <br>
     </p>
    <?php
	  }
?>
</form>
<form name="help"><input type="hidden" name="pagina" value="ordini.htm"></form>
</body>
</html>
<?php
} else {
	die(Output("Ordine non trovato"));
}
?>